﻿Imports System
Imports System.IO
Imports Microsoft.EntityFrameworkCore
Imports Windows.Storage

Namespace CookieBinge2
    Public Class BingeContext
        Inherits DbContext
        Public Property Binges As DbSet(Of CookieBinge)

        Protected Overrides Sub OnConfiguring(ByVal options As DbContextOptionsBuilder)
            Dim dbPath As String = "CookieBinge.db"
            Try
                dbPath = Path.Combine(ApplicationData.Current.LocalFolder.Path, dbPath)
            Catch e1 As InvalidOperationException
            End Try

            options.UseSqlite($"Data source={dbPath}")

        End Sub
    End Class
End Namespace
